const Mysql = require("./mysql-base");
const Sqlite3 = require("./sqlite3-base");

module.exports = function (dbType, config, tableName, showSqlStr) {
  if (dbType == "mysql") {
    return new Mysql(config, tableName, showSqlStr);
  } else {
    return new Sqlite3(config, tableName, showSqlStr);
  }
};
